%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate salsa20

Name:           rust-salsa20_0.9
Version:        0.9.0
Release:    1%{?dist}
Summary:        Salsa20 Stream Cipher

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/salsa20
Source0:         %{crates_source}
Patch:          salsa20-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Salsa20 Stream Cipher.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+expose-core-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+expose-core-devel %{_description}

This package contains library source intended for building other packages which
use the "expose-core" feature of the "%{crate}" crate.

%files       -n %{name}+expose-core-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+hsalsa20-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+hsalsa20-devel %{_description}

This package contains library source intended for building other packages which
use the "hsalsa20" feature of the "%{crate}" crate.

%files       -n %{name}+hsalsa20-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+zeroize-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+zeroize-devel %{_description}

This package contains library source intended for building other packages which
use the "zeroize" feature of the "%{crate}" crate.

%files       -n %{name}+zeroize-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
find -name "*.rs" -executable -print -exec chmod -x {} +
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.0-1
- initial build
